## freebsd-utils 7.2

=== sbin/geom/Makefile ===
# $FreeBSD$

SUBDIR=	core class

.include <bsd.subdir.mk>
