=== share/syscons/keymaps/Makefile ===
# $FreeBSD$

FILES=	INDEX.keymaps \
	be.iso.kbd be.iso.acc.kbd \
	bg.bds.ctrlcaps.kbd bg.phonetic.ctrlcaps.kbd \
	br275.iso.kbd br275.iso.acc.kbd br275.cp850.kbd \
	by.cp1131.kbd by.cp1251.kbd by.iso5.kbd \
	ce.iso2.kbd \
	colemak.iso15.acc.kbd \
	cs.latin2.qwertz.kbd \
	cz.iso2.kbd \
	danish.iso.kbd danish.cp865.kbd dutch.iso.acc.kbd \
	el.iso07.kbd \
	estonian.iso.kbd estonian.iso15.kbd estonian.cp850.kbd \
	finnish.iso.kbd finnish.cp850.kbd \
	fr.iso.kbd fr.iso.acc.kbd fr.dvorak.kbd fr.dvorak.acc.kbd \
	fr.macbook.acc.kbd \
	fr_CA.iso.acc.kbd \
	german.iso.kbd german.iso.acc.kbd german.cp850.kbd \
	gr.elot.acc.kbd gr.us101.acc.kbd \
	hr.iso.kbd \
	hu.iso2.101keys.kbd hu.iso2.102keys.kbd \
	hy.armscii-8.kbd \
	icelandic.iso.kbd icelandic.iso.acc.kbd \
	it.iso.kbd \
	iw.iso8.kbd \
	jp.106.kbd jp.106x.kbd jp.pc98.kbd jp.pc98.iso.kbd \
	kk.pt154.kst.kbd kk.pt154.io.kbd \
	latinamerican.kbd latinamerican.iso.acc.kbd \
	lt.iso4.kbd \
	norwegian.iso.kbd norwegian.dvorak.kbd \
	pl_PL.ISO8859-2.kbd  \
	pt.iso.kbd pt.iso.acc.kbd \
	ru.koi8-r.kbd ru.koi8-r.shift.kbd ru.koi8-r.win.kbd \
	ru.cp866.kbd ru.iso5.kbd \
	si.iso.kbd \
	sk.iso2.kbd \
	spanish.iso.kbd spanish.iso.acc.kbd spanish.iso15.acc.kbd \
	swedish.iso.kbd swedish.cp850.kbd \
	swissfrench.iso.kbd swissfrench.iso.acc.kbd swissfrench.cp850.kbd \
	swissgerman.iso.kbd swissgerman.iso.acc.kbd swissgerman.cp850.kbd \
	tr.iso9.q.kbd \
	ua.koi8-u.kbd ua.koi8-u.shift.alt.kbd ua.iso5.kbd \
	uk.iso.kbd uk.iso-ctrl.kbd uk.cp850.kbd uk.cp850-ctrl.kbd \
	us.iso.kbd us.dvorak.kbd us.dvorakx.kbd us.emacs.kbd us.pc-ctrl.kbd \
	us.unix.kbd us.iso.acc.kbd

FILESDIR= ${SHAREDIR}/syscons/keymaps

NO_OBJ=

.include <bsd.prog.mk>
