=== sbin/geom/class/label/Makefile ===
# $FreeBSD$

.PATH: ${.CURDIR}/../../misc

CLASS=	label

.include <bsd.lib.mk>
