## freebsd-utils 8.1

=== sbin/atacontrol/Makefile ===
#$FreeBSD$

PROG=	atacontrol
MAN=	atacontrol.8
WARNS?=	6

.include <bsd.prog.mk>
