=== sbin/ccdconfig/Makefile ===
# $FreeBSD$

PROG=	ccdconfig
WARNS?=	6
MAN=	ccdconfig.8

DPADD=	${LIBGEOM}
LDADD=	-lgeom

.include <bsd.prog.mk>
