=== sbin/devfs/Makefile ===
# $FreeBSD$

PROG=	devfs
SRCS=	devfs.c rule.c
MAN=	devfs.8
WARNS?=	5

.include <bsd.prog.mk>
