=== sbin/mount_autofs/Makefile ===
# $Id: Makefile,v 1.6 2004/09/08 08:27:12 bright Exp $
# $FreeBSD$

PROG=mount_autofs
MAN=mount_autofs.8
BINDIR?=/sbin

.include <bsd.prog.mk>
