## freebsd-utils 8.2+ds2

=== etc/devd/Makefile ===
# $FreeBSD$

FILES=	asus.conf uath.conf

NO_OBJ=
FILESDIR=	/etc/devd
FILESMODE=	644

.include <bsd.prog.mk>
