=== usr.bin/mkuzip/Makefile ===
# $FreeBSD$

PROG=	mkuzip
MAN=	mkuzip.8

DPADD=	${LIBZ}
LDADD=	-lz

WARNS?=	6

.include <bsd.prog.mk>
