=== usr.bin/netstat/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 .include <bsd.own.mk>
 
 PROG=	netstat
-SRCS=	if.c inet.c main.c mbuf.c mcast.c mroute.c route.c \
+SRCS=	if.c inet.c main.c mbuf.c mroute.c route.c \
 	unix.c atalk.c mroute6.c ipsec.c bpf.c pfkey.c sctp.c
 
 WARNS?=	3
