=== usr.sbin/nfsd/Makefile ===
#	@(#)Makefile	8.1 (Berkeley) 6/5/93
# $FreeBSD$

PROG=	nfsd
MAN=	nfsd.8 nfsv4.4 stablerestart.5

WARNS?=	6

.include <bsd.prog.mk>
