=== usr.sbin/ppp/Makefile ===
--- 
+++ 
@@ -24,6 +24,9 @@
 
 .if ${MK_ATM} == "no"
 PPP_NO_ATM=
+.endif
+.if ${MK_NETGRAPH} == "no"
+PPP_NO_NETGRAPH=
 .endif
 .if ${MK_PAM_SUPPORT} == "no"
 PPP_NO_PAM=
