=== debian/changelog ===
freebsd-utils (8.2+ds2-5) unstable; urgency=low

  * Register rpc.statd before rpc.lockd to prevent freebsd-nfs-common
    postinst failure.
  * Rename /var/db/statd.status to FHS-compliant /var/lib/misc/statd.status.
  * Fix multiarch-caused FTBFS (introduced with eglibc 2.13-11).

 -- Robert Millan <rmh@debian.org>  Fri, 29 Jul 2011 00:51:35 +0200

freebsd-utils (8.2+ds2-4) experimental; urgency=low

  * Add freebsd-geom package, with GEOM and a few modules (including
    geli).  (Closes: #492889)

 -- Robert Millan <rmh@debian.org>  Mon, 25 Jul 2011 17:28:06 +0200

freebsd-utils (8.2+ds2-3) unstable; urgency=low

  * Replace usb.conf with version from 8-STABLE.
  * Port and install jail(8).

 -- Robert Millan <rmh@debian.org>  Thu, 21 Jul 2011 20:04:43 +0200

freebsd-utils (8.2+ds2-2) experimental; urgency=low

  * Enable NFS utilities.  (Closes: #629543)

 -- Robert Millan <rmh@debian.org>  Mon, 11 Jul 2011 11:56:32 +0200

freebsd-utils (8.2+ds2-1) unstable; urgency=low

  * Add __FreeBSD_version to CFLAGS.  This enables code in a few places
    that was previously disabled (or old version used instead).
  * 022_devd.diff: Remove leftover FreeBSD-specific ACPI devd rules.
  * Move usb.conf and pci.conf devd files into debian/local/ (upstream
    is taking a different route and will replace these files when
    they're able to autogenerate them).
  * Fix a few syntax errors in usb.conf.

 -- Robert Millan <rmh@debian.org>  Sun, 10 Jul 2011 01:48:52 +0200

freebsd-utils (8.2+ds1-2) unstable; urgency=low

  * Fix broken usb.conf.  It needs to be generated using usbdevs from
    HEAD, or otherwise empty variables act as catch-all rules.  Getting
    rid of autogeneration since upstream doesn't seem interested in using
    devd variables anyway (see PR 157903).
  * Add network attach/detach devd event handlers to support allow-
    hotplug stanzas in /etc/network/interfaces.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Jun 2011 16:12:48 +0200

freebsd-utils (8.2+ds1-1) unstable; urgency=low

  [ Petr Salinger ]
  * Require newer eglibc, drop <net/if.h> workaround

  [ Robert Millan ]
  * Enable ieee80211 (wireless) in ifconfig. Closes: #601803
  * Switch to use the libbsd-overlay.
    - Bump libbsd-dev Build-Depends to (>= 0.3.0).
    - Add pkg-config to Build-Depends.
    - Remove some now obsolete porting code.
  * Removed kludges from 013_pf.diff.  strtonum.c is obsoleted
    by libbsd, pf_ruleset.c is imported from upstream source.
  * Provide config files and init.d script for devd.  (Closes: #630614)
  * Add Dutch Debconf translation from Jeroen Schot.  (Closes: #631122)
  * Require either libsbuf-dev or kfreebsd-kernel-headers that provides
    a valid <sys/sbuf.h>.
  * Add myself to Uploaders.

 -- Robert Millan <rmh@debian.org>  Wed, 29 Jun 2011 12:28:09 +0200

freebsd-utils (8.2-2) unstable; urgency=low

  * Add missing zlib1g-dev to Build-Depends, needed by savecore.
  * Remove mentions of -F option from mount and umount man pages.
    Closes: #600940
  * Add Spanish Dvorak keyboard layout to kbdcontrol.
    Thanks to Javier <jamego1293@andaluciajunta.es>. Closes: #550398

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 20:56:10 +0200

freebsd-utils (8.2-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.2.

  [ Mats Erik Andersson ]
  * Add IPv6 support into route wrapper. Closes: #605723.
  * Update mount wrapper for remount requests. Closes: #609574.

  [ Robert Millan ]
  * Require kfreebsd-kernel-headers >= 0.54.
  * Add mkuzip.
  * Set freebsd-net-tools-udeb to kfreebsd-any.
  * Remove dependency on ufsutils. (Closes: #595040)

  [ Tuco Xyz ]
  * Add dumpon and savecore.

  [ Guillem Jover ]
  * Translate mount -f (--fake) to -d in the wrapper.
  * Now using Standards-Version 3.9.2 (no changes needed).
  * Move local headers to debian/local/include/.
  * Move local scripts and devfs.d directories to debian/local/.
  * Switch to source format “3.0 (quilt)”.
    - Remove quilt from Build-Depends.
    - Remove patch target in debian/rules.
    - Remove now unneeded README.source.
    - Refresh all patches.
  * Link camcontrol, mdconfig and dmesg directly to libbsd. Closes: #627129
  * Refactor source and tar name into SOURCE and TARNAME in debian/rules.
  * Line-wrap PMAKE variable in debian/rules.
  * Intersperse Build-Depends description comments between the actual
    dependencies.
  * Remove skeleton comment from init scripts.

 -- Guillem Jover <guillem@debian.org>  Tue, 07 Jun 2011 08:00:15 +0200

freebsd-utils (8.1-4) unstable; urgency=low

  [ Petr Salinger ]
  * enhance kbdcontrol.init, related to Debian Policy,
    9.8 Keyboard configuration. See: #605777.

 -- Aurelien Jarno <aurel32@debian.org>  Sat, 22 Jan 2011 23:44:13 +0100

freebsd-utils (8.1-3.1) unstable; urgency=high

  * Non-maintainer upload (requested by Petr).
  * Revert 032_delete_key.diff
    The proper solution needs more changes, unsuitable during deep freeze.
    See #605065, #605777, #607662.

 -- Robert Millan <rmh@debian.org>  Wed, 05 Jan 2011 10:05:19 +0100

freebsd-utils (8.1-3) unstable; urgency=low

  [ Aurelien Jarno ]
  * Add Catalan Debconf translation from Jordi Mallach (closes:
    bug#600624).
  * Add 032_delete_key.diff to conform to Debian Policy,
    9.8 Keyboard configuration. Closes: #605777.

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 19 Dec 2010 23:39:21 +0100

freebsd-utils (8.1-2) unstable; urgency=low

  [ Aurelien Jarno ]
  * freebsd-utils-udeb: add mdconfig.
  * Update Italian Debconf translation from Luca Monducci (closes:
    bug#593717).

 -- Aurelien Jarno <aurel32@debian.org>  Sun, 22 Aug 2010 17:10:02 +0200

freebsd-utils (8.1-1) unstable; urgency=low

  [ Petr Salinger ]
  * Based on FreeBSD 8.1.

  [ Aurelien Jarno ]
  * Bumped Standards-Version to 3.9.1 (no changes).
  * Add arp to freebsd-net-tools

 -- Aurelien Jarno <aurel32@debian.org>  Fri, 30 Jul 2010 22:23:01 +0200

freebsd-utils (8.0-12) unstable; urgency=low


