=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses cdbs.  Originaly written by Robert Millan.
# This file is public domain.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g -pipe -fPIC -I. -D_GNU_SOURCE -D__va_list=__builtin_va_list \
	$(shell pkg-config --cflags libbsd-overlay) -isystem /usr/include/tirpc \
	-D__FreeBSD_version=802000
CXXFLAGS = $(CFLAGS)

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
	CXXFLAGS += -O0
else
	CFLAGS += -O2
	CXXFLAGS += -O2
endif

SOURCE = freebsd-utils
VERSION = $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-[^-]*$$/\1/p')
SVN_REL = $(shell echo $(VERSION) | sed -ne 's/+[^+]*$$//p')
SVN = http://svn.freebsd.org/base/release/$(SVN_REL).0
#SVN = http://svn.freebsd.org/base/releng/$(SVN_REL)
ORIGDIR = $(SOURCE)-$(VERSION)
TARNAME = $(SOURCE)_$(VERSION).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) \
        -I$(CURDIR)/debian/local/include -I$(CURDIR)/include -lbsd" \
        NO_WERROR=1 NOGCCERROR=1 NOSHARED=NO NO_SHARED=NO \
        DESTDIR=$(DESTDIR) make

RPCHDRS=include/rpcsvc/nfs_prot.h include/rpcsvc/nlm_prot.h \
	include/rpcsvc/mount.h include/rpcsvc/sm_inter.h \
	sys/kgssapi/gssd.h

.SUFFIXES: .x .h

.x.h:
	rpcgen -h -DWANT_NFS3 $< -o $@

build: build-arch build-indep

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/sys/kern $(ORIGDIR)/sys/dev/usb $(ORIGDIR)/etc \
		$(ORIGDIR)/include/rpcsvc \
		$(ORIGDIR)/sys/kgssapi
	for i in sbin/dmesg sbin/sysctl usr.bin/kdump usr.bin/ktrace \
		 usr.sbin/jail bin/chflags \
		 sbin/devd etc/devd.conf etc/devd sys/dev/usb/usbdevs \
		 usr.sbin/acpi/acpiconf \
		 sbin/kldconfig sbin/kldload sbin/kldstat sbin/kldunload \
		 usr.bin/ktrdump usr.bin/vmstat sbin/devfs sbin/fdisk \
		 sbin/ifconfig etc/regdomain.xml \
		 sbin/route usr.bin/netstat usr.sbin/rpc.umntall \
		 usr.sbin/ppp usr.sbin/pppctl usr.sbin/arp usr.bin/mkuzip \
		 sbin/ipfw contrib/pf sbin/pfctl usr.sbin/authpf sys/contrib/pf/net \
		 sbin/mount_std sbin/umount sbin/mount_autofs sbin/mount_cd9660 \
		 sbin/mount_ext2fs sbin/mount_hpfs sbin/mount_msdosfs \
		 sbin/mount_ntfs sbin/mount_nullfs sbin/mount_udf sbin/mount_unionfs \
		 sbin/mount_reiserfs sbin/mount \
		 sbin/mdconfig sbin/ccdconfig sbin/swapon sbin/atacontrol sbin/camcontrol \
		 sbin/gbde bin/kenv \
		 sbin/geom sys/geom/eli sys/crypto/sha2 \
		 usr.sbin/kbdcontrol usr.sbin/vidcontrol share/syscons \
		 sbin/savecore sbin/dumpon \
		 sys/kern/syscalls.c etc/pf.os \
		 usr.sbin/mountd usr.sbin/rpc.statd usr.sbin/rpc.lockd \
		 usr.sbin/gssd usr.sbin/nfsd usr.sbin/nfscbd \
		 usr.sbin/nfsdumpstate usr.sbin/nfsuserd usr.sbin/nfsrevoke \
		 sbin/nfsiod \
		 sbin/mount_nfs \
		 include/rpcsvc/nfs_prot.x include/rpcsvc/sm_inter.x \
		 include/rpcsvc/nlm_prot.x include/rpcsvc/mount.x \
		 sys/kgssapi/gssd.x \
		 usr.bin/showmount \
	; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

lib: lib-stamp
lib-stamp:
	$(MAKE) -C lib
	touch $@

build-arch: freebsd-utils gbde geli kbdcontrol vidcontrol kldutils freebsd-net-tools freebsd-nfs-utils

freebsd-utils: freebsd-utils-stamp
freebsd-utils-stamp: $(RPCHDRS)
#	$(PMAKE) -C bin/chflags
	$(PMAKE) -C bin/kenv
	$(PMAKE) -C sbin/atacontrol
	$(PMAKE) -C sbin/camcontrol
	$(PMAKE) -C sbin/ccdconfig
	$(PMAKE) -C sbin/devd
	$(PMAKE) -C etc/devd
	$(PMAKE) -C sbin/devfs
	$(PMAKE) -C sbin/dmesg
	$(PMAKE) -C sbin/dumpon
	$(PMAKE) -C sbin/geom
	$(PMAKE) -C sbin/mdconfig
	$(PMAKE) -C sbin/mount
	$(PMAKE) -C sbin/mount_autofs
	$(PMAKE) -C sbin/mount_cd9660
	$(PMAKE) -C sbin/mount_ext2fs
	$(PMAKE) -C sbin/mount_hpfs
	$(PMAKE) -C sbin/mount_msdosfs
#	$(PMAKE) -C sbin/mount_nfs
	$(PMAKE) -C sbin/mount_ntfs
	$(PMAKE) -C sbin/mount_nullfs
	$(PMAKE) -C sbin/mount_reiserfs
	$(PMAKE) -C sbin/mount_udf
	$(PMAKE) -C sbin/mount_unionfs
	$(PMAKE) -C sbin/mount_std
	$(PMAKE) -C sbin/savecore
	$(PMAKE) -C sbin/swapon
	$(PMAKE) -C sbin/sysctl
	$(PMAKE) -C sbin/umount
	$(PMAKE) -C usr.bin/kdump
	$(PMAKE) -C usr.bin/ktrace
	$(PMAKE) -C usr.bin/mkuzip
	$(PMAKE) -C usr.sbin/acpi/acpiconf
	$(PMAKE) -C usr.sbin/rpc.umntall
	$(PMAKE) -C usr.sbin/jail
	touch $@

gbde: gbde-stamp
gbde-stamp:
#	$(PMAKE) -C sbin/gbde
	touch $@

geli: geli-stamp
geli-stamp:
#	$(PMAKE) -C sbin/geom/class/eli
	touch $@

kbdcontrol: kbdcontrol-stamp
kbdcontrol-stamp:
	$(PMAKE) -C usr.sbin/kbdcontrol
	sed -i -e "s/^choices=.*/choices=\"`cd share/syscons/keymaps && echo *.kbd | sed -e 's/ /, /g'`\"/g" \
	debian/kbdcontrol.config
	touch $@

vidcontrol: vidcontrol-stamp
vidcontrol-stamp:
	$(PMAKE) -C usr.sbin/vidcontrol
	$(PMAKE) -C share/syscons/scrnmaps
	touch $@

kldutils: kldutils-stamp
kldutils-stamp:
	$(PMAKE) -C sbin/kldconfig
	$(PMAKE) -C sbin/kldload
	$(PMAKE) -C sbin/kldstat
	$(PMAKE) -C sbin/kldunload
	touch $@

freebsd-net-tools: freebsd-net-tools-stamp
freebsd-net-tools-stamp: lib-stamp
	$(PMAKE) -C sbin/ifconfig
	$(PMAKE) -C sbin/pfctl
	$(PMAKE) -C sbin/route
	$(PMAKE) -C usr.bin/netstat
	$(PMAKE) -C usr.sbin/arp
	$(PMAKE) -C usr.sbin/authpf
	$(PMAKE) -C usr.sbin/pppctl
	touch $@

freebsd-nfs-utils: freebsd-nfs-utils-stamp
freebsd-nfs-utils-stamp: lib-stamp
#	$(PMAKE) -C usr.bin/showmount
	$(PMAKE) -C sbin/mount_nfs
	$(PMAKE) -C sbin/nfsiod
#	$(PMAKE) -C usr.sbin/gssd
#	$(PMAKE) -C usr.sbin/nfscbd
#	$(PMAKE) -C usr.sbin/nfsuserd
#	$(PMAKE) -C usr.sbin/nfsrevoke
#	$(PMAKE) -C usr.sbin/nfsdumpstate
	$(PMAKE) -C usr.sbin/rpc.statd
	$(PMAKE) -C usr.sbin/rpc.lockd
	$(PMAKE) -C usr.sbin/mountd
	$(PMAKE) -C usr.sbin/nfsd
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean:
	dh_testdir
	dh_testroot

	[ ! -f lib/Makefile ] || $(MAKE) -C lib clean

	$(PMAKE) -C bin/chflags clean
	$(PMAKE) -C bin/kenv clean
	$(PMAKE) -C sbin/ccdconfig clean
	$(PMAKE) -C sbin/atacontrol clean
	$(PMAKE) -C sbin/camcontrol clean
	$(PMAKE) -C sbin/devd clean
	$(PMAKE) -C etc/devd clean
	$(PMAKE) -C sbin/devfs clean
	$(PMAKE) -C sbin/dmesg clean
	$(PMAKE) -C sbin/dumpon clean
	$(PMAKE) -C sbin/geom clean
	$(PMAKE) -C sbin/mdconfig clean
	$(PMAKE) -C sbin/mount clean
	$(PMAKE) -C sbin/mount_autofs clean
	$(PMAKE) -C sbin/mount_cd9660 clean
	$(PMAKE) -C sbin/mount_ext2fs clean
	$(PMAKE) -C sbin/mount_hpfs clean
	$(PMAKE) -C sbin/mount_msdosfs clean
	$(PMAKE) -C sbin/mount_nfs clean
	$(PMAKE) -C sbin/mount_ntfs clean
	$(PMAKE) -C sbin/mount_nullfs clean
	$(PMAKE) -C sbin/mount_reiserfs clean
	$(PMAKE) -C sbin/mount_udf clean
	$(PMAKE) -C sbin/mount_unionfs clean
	$(PMAKE) -C sbin/mount_std clean
	$(PMAKE) -C sbin/savecore clean
	$(PMAKE) -C sbin/swapon clean
	$(PMAKE) -C sbin/sysctl  clean
	$(PMAKE) -C sbin/umount clean
	$(PMAKE) -C usr.bin/kdump clean
	$(PMAKE) -C usr.bin/ktrace clean
	$(PMAKE) -C usr.bin/mkuzip clean
	$(PMAKE) -C usr.sbin/acpi/acpiconf clean
	$(PMAKE) -C usr.sbin/rpc.umntall clean
	$(PMAKE) -C usr.sbin/jail clean

	$(PMAKE) -C sbin/gbde clean

	$(PMAKE) -C usr.sbin/kbdcontrol clean

	$(PMAKE) -C usr.sbin/vidcontrol clean
	$(PMAKE) -C share/syscons/scrnmaps clean

	$(PMAKE) -C sbin/kldconfig clean
	$(PMAKE) -C sbin/kldload clean
	$(PMAKE) -C sbin/kldstat clean
	$(PMAKE) -C sbin/kldunload clean

	$(PMAKE) -C sbin/ifconfig clean
	$(PMAKE) -C sbin/pfctl clean
	$(PMAKE) -C sbin/route clean
	$(PMAKE) -C usr.bin/netstat clean
	$(PMAKE) -C usr.sbin/arp clean
	$(PMAKE) -C usr.sbin/authpf clean
	$(PMAKE) -C usr.sbin/pppctl clean

	$(PMAKE) -C sbin/nfsiod clean
	$(PMAKE) -C usr.sbin/gssd clean
	$(PMAKE) -C usr.sbin/nfscbd clean
	$(PMAKE) -C usr.sbin/nfsuserd clean
	$(PMAKE) -C usr.sbin/nfsrevoke clean
	$(PMAKE) -C usr.sbin/nfsdumpstate clean
	$(PMAKE) -C usr.sbin/rpc.statd clean
	$(PMAKE) -C usr.sbin/rpc.lockd clean
	$(PMAKE) -C usr.sbin/mountd clean
	$(PMAKE) -C usr.sbin/nfsd clean

	$(RM) $(RPCHDRS)

	rm -f *stamp
	dh_clean

install: install-indep install-arch
install-indep:

install-arch:
	dh_testdir
	dh_testroot
